Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class RevRepContent.Template

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.RevRepContent.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  RevRepContent

public static class RevRepContent.Template
extends java.lang.Object
implements ASN1Template

A Template for decoding a `RevRepContent`.

Constructor Summary
`RevRepContent.Template()`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes an ASN1Value from the InputStream without an implicit tag.
`ASN1Value` | `decode(Tag implicitTag, java.io.InputStream istream)` Decodes an ASN1Value from the InputStream with the given implicit tag.
`boolean` | `tagMatch(Tag tag)` Determines whether the given tag will satisfy this template.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevRepContent.Template

    public RevRepContent.Template()

Method Detail

### tagMatch

    public boolean tagMatch(Tag tag)

  Description copied from interface: `ASN1Template`
  Determines whether the given tag will satisfy this template.

  Specified by:
    `tagMatch` in interface `ASN1Template`

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws InvalidBERException,
                            java.io.IOException

  Description copied from interface: `ASN1Template`
  Decodes an ASN1Value from the InputStream without an implicit tag.

  Specified by:
    `decode` in interface `ASN1Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `InvalidBERException`
    `java.io.IOException`

### decode

    public ASN1Value decode(Tag implicitTag,
                            java.io.InputStream istream)
                     throws InvalidBERException,
                            java.io.IOException

  Description copied from interface: `ASN1Template`
  Decodes an ASN1Value from the InputStream with the given implicit tag.

  Specified by:
    `decode` in interface `ASN1Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `InvalidBERException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD